View Issue Details

IDProjectCategoryView StatusLast Update
0002437SymmetricDSBugpublic2015-11-17 16:02
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.27 
Target Version3.7.27Fixed in Version3.7.27 
Summary0002437: Loading a 'timestamp with time zone' field into a 'timestamp' column appears to mangle the time.
DescriptionThe value in question comes across like this:
2015-11-03 01:35:03.714566 -05:00

There are 2 issues right now surrounding AbstractDatabasePlatform.parseDate:
1) The timezone is attempted to be parsed as a code, not offset.
2) The micro second value of 714566 is interpreted as milliseconds instead of microseconds, and that is what makes the resulting date appear to have a mangled time (714566 is interpreted as an absolute number of milliseconds, so almost 12 minutes is added to the time as it appears).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 03d78127

2015-11-05 14:26:21

mmichalek

Details Diff
0002437: Loading a 'timestamp with time zone' field into a 'timestamp'
column appears to mangle the time.

0002437
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
add - symmetric-db/src/test/java/org/jumpmind/db/platform/AbstractDatabasePlatformTest.java Diff File

SymmetricDS: master 59f6e1b9

2015-11-05 14:26:21

mmichalek

Details Diff
0002437: Loading a 'timestamp with time zone' field into a 'timestamp'
column appears to mangle the time.

0002437
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
add - symmetric-db/src/test/java/org/jumpmind/db/platform/AbstractDatabasePlatformTest.java Diff File

Issue History

Date Modified Username Field Change
2015-11-05 10:34 mmichalek New Issue
2015-11-05 10:34 mmichalek Status new => assigned
2015-11-05 10:34 mmichalek Assigned To => mmichalek
2015-11-05 14:25 mmichalek Summary Loading a 'timestamp with time zone' field into a 'timezone' column appears to mangle the time. => Loading a 'timestamp with time zone' field into a 'timestamp' column appears to mangle the time.
2015-11-05 14:25 mmichalek Description Updated View Revisions
2015-11-05 14:30 mmichalek Status assigned => resolved
2015-11-05 14:30 mmichalek Resolution open => fixed
2015-11-05 14:30 mmichalek Fixed in Version => 3.7.27
2015-11-05 15:00 mmichalek Changeset attached => SymmetricDS 3.7 03d78127
2015-11-05 17:00 mmichalek Changeset attached => SymmetricDS master 59f6e1b9
2015-11-17 16:02 chenson Status resolved => closed